Loading...
Searching...
No Matches
AUTOIP
APIs » "raw" APIs » IP » IPv4

## Functions

void | autoip_set_struct (struct netif *netif, struct autoip *autoip)
void | autoip_remove_struct (struct netif *netif)
err_t | autoip_start (struct netif *netif)
err_t | autoip_stop (struct netif *netif)

## Detailed Description

AUTOIP related functions USAGE:

define LWIP_AUTOIP 1 in your lwipopts.h

Without DHCP:

- Call autoip_start() after netif_add().

With DHCP:

- define LWIP_DHCP_AUTOIP_COOP 1 in your lwipopts.h.
- Configure your DHCP Client.

See also
  AUTOIP

## Function Documentation

## autoip_remove_struct()

void autoip_remove_struct | ( | struct netif * | netif | ) |

Remove a struct autoip previously set to the netif using autoip_set_struct()

Parameters

  netif | the netif for which to set the struct autoip

## autoip_set_struct()

void autoip_set_struct | ( | struct netif * | netif,
|  | struct autoip * | autoip )

Set a statically allocated struct autoip to work with. Using this prevents autoip_start to allocate it using mem_malloc.

Parameters

  netif | the netif for which to set the struct autoip
  autoip | (uninitialised) autoip struct allocated by the application

## autoip_start()

err_t autoip_start | ( | struct netif * | netif | ) |

Start AutoIP client

Parameters

  netif | network interface on which start the AutoIP client

## autoip_stop()

err_t autoip_stop | ( | struct netif * | netif | ) |

Stop AutoIP client

Parameters

  netif | network interface on which stop the AutoIP client